// stylelint-disable
$spacer: 1rem !default;
$spacers: () !default;
$spacers: map-merge((
  0: 0,
  1: .5rem, // 8px
  2: .75rem, // 12px
  3: 1rem, // 16px
  4: 1.5rem, // 24px
  5: 2rem, // 32px
  52: 2.5rem, // 40px
  59: 3rem, // 48px
  6: 3.5rem, // 56px
  61: 3.75rem, // 60px
  7: 6rem, // 96px
  8: 7.5rem, // 120px
), $spacers);

// This variable affects the `.h-*` and `.w-*` classes.
$sizes: () !default;
$sizes: map-merge((
  25: 25%,
  50: 50%,
  75: 75%,
  100: 100%
), $sizes);
// stylelint-enable

// stylelint-disable declaration-no-important

// Width and height

@each $prop, $abbrev in (width: w, height: h) {
  @each $size, $length in $sizes {
    .#{$abbrev}-#{$size} {
      #{$prop}: $length !important;
    }
  }
}

.mw-100 { max-width: 100% !important; }
.mh-100 { max-height: 100% !important; }
